%define anolis_release 1

Name: 		gsl
Summary: 	The GNU Scientific Library for numerical analysis
Version: 	2.7.1
Release: 	%{anolis_release}%{?dist}
URL: 		http://www.gnu.org/software/gsl/
License: 	GPLv3+
Source: 	http://ftp.gnu.org/gnu/gsl/%{name}-%{version}.tar.gz
Patch0: 	gsl-1.10-lib64.patch
# http://lists.gnu.org/archive/html/bug-gsl/2015-12/msg00012.html
Patch1: 	gsl-tol.patch
Patch2: 	gsl-test.patch

BuildRequires: 	gcc
BuildRequires: 	pkgconfig
BuildRequires: 	make

%description
The GNU Scientific Library (GSL) is a collection of routines for
numerical analysis, written in C.

%package devel
Summary: Libraries and the header files for GSL development
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: automake

%description devel
The gsl-devel package contains the header files necessary for 
developing programs using the GSL (GNU Scientific Library).

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

iconv -f windows-1252 -t utf-8 THANKS  > THANKS.aux
touch -r THANKS THANKS.aux
mv THANKS.aux THANKS

%build
# disable FMA
%ifarch aarch64 
export CFLAGS="%{optflags} -ffp-contract=off"
%endif
%configure
%make_build

%check
make check || ( cat */test-suite.log && exit 1 )

%install
%make_install
# remove unpackaged files from the buildroot
rm -rf %{buildroot}%{_infodir}/dir
rm -f %{buildroot}%{_libdir}/*.la
# remove static libraries
rm -r %{buildroot}%{_libdir}/*.a
%generate_compatibility_deps

%ldconfig_scriptlets

%files
%license COPYING
%dir %{abidir}
%{_bindir}/gsl-histogram
%{_bindir}/gsl-randist
%{abidir}/gsl-histogram-option.list
%{abidir}/gsl-randist-option.list
%{_libdir}/libgsl.so.27*
%{_libdir}/libgslcblas.so.0*
%{abidir}/libgsl.dump
%{abidir}/libgslcblas.dump
%{_mandir}/man1/gsl-histogram.1*
%{_mandir}/man1/gsl-randist.1*

%files devel
%{_bindir}/gsl-config
%{abidir}/gsl-config-option.list
%{_libdir}/libgsl.so
%{_libdir}/libgslcblas.so
%{_libdir}/pkgconfig/gsl.pc
%{_mandir}/man1/gsl-config.1*
%{_mandir}/man3/gsl.3*
%{_infodir}/gsl-ref.info*
%{_datadir}/aclocal/gsl.m4
%{_includedir}/gsl/

%files doc
%doc AUTHORS ChangeLog NEWS README THANKS TODO

%changelog
* Mon Nov 7 2022 happy_orange <songnannan@linux.alibaba.com> - 2.7.1-1
- Init package from upstream
